
c----------------------------------------------------------------------------
c
c  Fstat -- returns file status info for a Fortran unit
c
c  Written By: S.E.Norris
c
c  $RCSfile: fstat.f,v $
c  $Author: norris $
c  $Revision: 1.4 $
c  $Date: 1996/03/31 07:02:59 $
c     
c  $Log: fstat.f,v $
c  Revision 1.4  1996/03/31 07:02:59  norris
c  sets statb to 0 if error.
c
c  Revision 1.3  1996/03/28  10:45:26  norris
c  Returns ierrno not iostat if error encountered.
c
c  Revision 1.2  1996/03/28  00:05:56  norris
c  Revised to use the new version of stat.c
c
c----------------------------------------------------------------------------

      FUNCTION Fstat(unit,statb)

      IMPLICIT none
      INTEGER   fstat,unit,statb(13)

      INTEGER   lnblnk
      EXTERNAL  lnblnk
      INTEGER   stat
      EXTERNAL  stat
      INTEGER   ierrno
      EXTERNAL  ierrno

      INTEGER   ierr,i
      LOGICAL   nmd
      CHARACTER name*(128)

      inquire(unit=unit,named=nmd,name=name,iostat=ierr)

      if (ierr.ne.0) then
         fstat = ierrno()
         do i = 1,13
            statb(i) = 0
         enddo
      else
         fstat = stat(name,statb)
      endif

      return
      END
