
/*---------------------------------------------------------------------------

    getenv.c -- get enviroment variables.

    Written By: S.E. Norris

    Usage:
       character*20 env

       call getenv(ENV_NAME, env)

    $RCSfile: getenv.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: getenv.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  09:09:37  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern char **environ;

#include "libU77.h"

subroutine getenv_(char *fieldname, char *value, ftnlen flen, ftnlen vlen)
{
  char *envp, *fieldp;
  char **env = environ;
  int i;

  while (envp = *env++) {
    for (fieldp = fieldname, i = 0; i <= flen; i++) {
      if (i == flen || *fieldp == ' ') {
	if (*envp++ == '=') {
	  fcopyout(value, envp, vlen);
	  return;
	} else {
	  break;
	}
      } else if (*envp++ != *fieldp++) {
	break;
      }
    }
  }
  fcopyout(value, " ", vlen);
}
