
/*---------------------------------------------------------------------------
    getgid() -- returns the the group ID of the process.

    Written By: S.E. Norris

    Usage:

      integer  gid
      integer  getgid
      external getgid

      gid = getgid()

    $RCSfile: getgid.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: getgid.c,v $
    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  01:08:12  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <unistd.h>
#include "libU77.h"

integer getgid_()
{
  return( (integer) getgid() );
}
