
/*---------------------------------------------------------------------------

    time() -- returns the the time since the start of the epoch.

    Written By: S.E.Norris

    Usage:

       integer  etime
       integer  time
       external time

       etime = time()

    $RCSfile: time.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: time.c,v $
    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  10:44:53  norris
    Changed to use time.h not sys/time.h

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/25  23:57:55  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <time.h>
#include "libU77.h"

integer time_()
{
  return( (integer) time(0) );
}
