
/*---------------------------------------------------------------------------

    util.c -- contains utility functions for the U77 library.

    Written By: S.E. Norris

    $RCSfile: util.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: util.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/27  23:57:48  norris
    Added another copying routine.

    Revision 1.1  1996/03/26  01:57:42  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include "libU77.h"

void fcopyout(char *to, char *from, ftnlen tolen)
{
  int i = 0;

  while (*from && i < tolen) {
    *to++ = *from++;
    i++;
  }

  while (i++ < tolen) {
    *to++ = ' ';
  }
}

void fcopyin(char *a, ftnlen alen, char *b)
{
  char *x=a+alen-1, *y=b+alen-1;

  while (x >= a  &&  *x == ' ') {
    x--; 
    y--;
  }
  
  *(y+1) = '\0';
  
  while (x >= a) {
    *y-- = *x--;
  }
}
