
/*---------------------------------------------------------------------------

    free.c -- frees dynamically allocated memory

    Written By: S.E. Norris

    Usage:
       integer addr ! returned address of memory block

       call free(need, addr)


    $RCSfile: free.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: free.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/27  09:16:11  norris
    Added trailing underscore to name.

  ---------------------------------------------------------------------------*/

#include <stdlib.h>
#include "libU77.h"

subroutine free_(char **addr)
{
  free( *addr );
}
