
/*---------------------------------------------------------------------------

    gerror.c -- returns the current error status.

    Written By: S.E. Norris

    Usage:
      character message
      external  gerror

      call gerror(message)

    or:
      character message
      character gerror
      external  gerror

      message = gerror()

    $RCSfile: gerror.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: gerror.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/29  00:48:08  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include <string.h>
#include "libU77.h"

subroutine gerror_(char *s, ftnlen len)
{
  char *mesg = strerror(errno);

  fcopyout(s, mesg?mesg:" ", len);
}
