
/*---------------------------------------------------------------------------
    getpid_() -- returns the the ID of the current process.

    Written By: S.E. Norris

    Usage:

      integer  pid
      integer  getpid
      external getpid

      pid = getpid()

    $RCSfile: getpid.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: getpid.c,v $
    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  01:08:12  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <unistd.h>
#include "libU77.h"

integer getpid_()
{
  return( (integer) getpid() );
}
