
/*---------------------------------------------------------------------------
    getuid() -- returns the the user ID of the process.

    Written By: S.E. Norris

    Usage:

      integer  uid
      integer  getuid
      external getuid

      uid = getuid()

    $RCSfile: getuid.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: getuid.c,v $
    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  01:08:12  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <unistd.h>
#include "libU77.h"

integer getuid_()
{
  return( (integer) getuid() );
}


