
/*---------------------------------------------------------------------------

    malloc.c -- dynamically allocates memory

    Written By: S.E. Norris

    Usage:
       integer need ! number of bytes needed
       integer addr ! returned address of memory block
       integer malloc ! function
       external malloc

       addr = malloc(need)

    $RCSfile: malloc.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/03/31 23:40:04 $
 
    $Log: malloc.c,v $
    Revision 1.5  1996/03/31 23:40:04  norris
    Changed the memory address pointers to long from int.

    Revision 1.4  1996/03/31  06:41:33  norris
    changed return type to integer.

    Revision 1.3  1996/03/29  09:27:43  norris
    Changed symantics to agree with the Alpha definition of malloc.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  09:17:45  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <stdlib.h>
#include "libU77.h"

pointer **malloc_(integer *need)
{
  return (pointer) malloc( *need );
}
