
/*---------------------------------------------------------------------------

    perror.c -- write a string and the current error status to stderr.

    Written By: S.E. Norris

    Usage:
      character message
      external  perror

      call perror(message)

    $RCSfile: perror.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: perror.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/29  00:48:08  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <stdio.h>
#include "libU77.h"


subroutine perror_(char *s, ftnlen len)
{
  char buf[128];

  fcopyin(s, len, buf);
  perror(buf);
}
