
/*---------------------------------------------------------------------------

    seterr.c -- set the error status.

    Written By: S.E. Norris

    Usage:
       integer   ierr       ! error number
       integer   seterr
       external  seterr

       ierr = seterr(ierr)

    $RCSfile: seterr.c,v $
    $Author: norris $
    $Revision: 1.2 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: seterr.c,v $
    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  23:57:01  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include "libU77.h"

integer seterr_(integer *ierr)
{
  errno = *ierr;
  return (integer) errno;
}
